Bug 953384 - Review Request: Review Request: unar - Multi-format extractor
Summary: Review Request: Review Request: unar - Multi-format extractor
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 953366 953367 953368 953369 953370 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-18 05:31 UTC by Rahul Sundaram
Modified: 2014-02-24 12:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-22 16:32:12 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Rahul Sundaram 2013-04-18 05:31:25 UTC
Spec URL: http://sundaram.fedorapeople.org/packages/unar.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/unar-1.6-1.fc18.src.rpm
Description:
The command-line utilities lsar and unar are capable of listing and extracing
files respectively in several formats including RARv3. unar can serve as a free
and open source replacement of unrar.

Fedora Account System Username:sundaram

Additional note:  File-roller (GNOME) 3.6+ already supports unar

https://bugzilla.gnome.org/show_bug.cgi?id=646606

Ark (KDE) RFE is at https://bugs.kde.org/show_bug.cgi?id=283134

Comment 1 Rahul Sundaram 2013-04-18 05:50:30 UTC
Koji scratch build at 

http://koji.fedoraproject.org/koji/taskinfo?taskID=5269930

Comment 2 Mario Blättermann 2013-04-18 08:20:57 UTC
*** Bug 953370 has been marked as a duplicate of this bug. ***

Comment 3 Mario Blättermann 2013-04-18 08:21:38 UTC
*** Bug 953369 has been marked as a duplicate of this bug. ***

Comment 4 Mario Blättermann 2013-04-18 08:22:24 UTC
*** Bug 953368 has been marked as a duplicate of this bug. ***

Comment 5 Mario Blättermann 2013-04-18 08:23:14 UTC
*** Bug 953367 has been marked as a duplicate of this bug. ***

Comment 6 Mario Blättermann 2013-04-18 08:23:55 UTC
*** Bug 953366 has been marked as a duplicate of this bug. ***

Comment 7 Mario Blättermann 2013-04-18 08:43:32 UTC
$ rpm -qpl unar-1.6-1.fc20.x86_64.rpm
/usr/bin/lsar
/usr/bin/unar
/usr/share/bash-completion/completions
/usr/share/bash-completion/completions/lsar
/usr/share/bash-completion/completions/unar
/usr/share/doc/unar-1.6
/usr/share/doc/unar-1.6/License.txt
/usr/share/man/man1/lsar.1.gz
/usr/share/man/man1/unar.1.gz

The folder /usr/share/bash-completion/completions is already owned by the bash-completion package. The correct entry in %files has to be:

%{_datadir}/bash-completion/completions/*

You have to add bash-completion to the runtime requirements, or you split out the completion stuff into a subpackage which contains the appropriate files and pulls bash-completion as requirement. It depends on if unar will work properly without the bash-completion files, I haven't tested it.


Moreover, there are some typos in summary and description:

extracing → extracting
extracter → extractor

Comment 8 Rahul Sundaram 2013-04-18 09:12:18 UTC
first things first:  sorry about the number of duplicates.  bugzilla was acting up and I didn't realize the form was getting submitted since it always threw up a error.  thanks for cleaning up that mess. 

although bash completions are never required by any package but are always optional enhancements, these are just very tiny files, practically no package in Fedora splits up its bash completion into a sub package (I could spot only one such package in the entire repo) and bash-completion is installed by default in Fedora anyway, so I haven't split it up. However I have fixed the ownership and typos. 

http://sundaram.fedorapeople.org/packages/unar.spec
http://sundaram.fedorapeople.org/packages/unar-1.6-2.fc18.src.rpm

Comment 9 Mario Blättermann 2013-04-18 09:14:59 UTC
I'll do a review later today.

Comment 10 Ville Skyttä 2013-04-19 11:10:02 UTC
Speaking as the Fedora bash-completion maintainer and active upstream member:

I don't think requiring bash-completion is a good idea. First, it is not actually required. Second, although it's fairly rare, in some cases bash-completion may actually cause issues or act against users' preferences and it's not that easy to turn off partially/completely on per user basis when installed.

I personally think that the way to currently properly package bash completion snippets in packages such as this is to not require bash-completion, and own the whole %{_datadir}/bash-completion dir hierarchy in order to not cause unowned dirs.

Comment 11 Rahul Sundaram 2013-04-19 18:05:06 UTC
That essentially means reverting most of changes. Here you go

http://sundaram.fedorapeople.org/packages/unar.spec
http://sundaram.fedorapeople.org/packages/unar-1.6-3.fc18.src.rpm

Comment 12 Mario Blättermann 2013-04-19 18:54:48 UTC
Scratch build for Rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5277924

$ rpmlint -i -v *
unar.src: I: checking
unar.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
The value of this tag appears to be misspelled. Please double-check.

unar.src: W: spelling-error %description -l en_US lsar -> liar, pulsar
The value of this tag appears to be misspelled. Please double-check.

unar.src: W: spelling-error %description -l en_US unrar -> unbar, unreal
The value of this tag appears to be misspelled. Please double-check.

unar.src: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar.src: I: checking-url http://theunarchiver.googlecode.com/files/unar1.6_src.zip (timeout 10 seconds)
unar.src: W: invalid-url Source0: http://theunarchiver.googlecode.com/files/unar1.6_src.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

unar.i686: I: checking
unar.i686: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
The value of this tag appears to be misspelled. Please double-check.

unar.i686: W: spelling-error %description -l en_US unrar -> unbar, unreal
The value of this tag appears to be misspelled. Please double-check.

unar.i686: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar.x86_64: I: checking
unar.x86_64: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
The value of this tag appears to be misspelled. Please double-check.

unar.x86_64: W: spelling-error %description -l en_US unrar -> unbar, unreal
The value of this tag appears to be misspelled. Please double-check.

unar.x86_64: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar-debuginfo.i686: I: checking
unar-debuginfo.i686: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/AMPK.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/Zoom.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/MXM-SimpleArc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/CrunchDisk.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aes.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aes.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/unix/emulation.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/FS_SOS.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/LzmaDec.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/dates.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/LzmaDec.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadCRC_1021.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/crc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aescrypt.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aescrypt.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clientfunc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_macroman_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_ibmcp437_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/info.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_windowscp1252_to_unicod.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/fileunarc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/Ace.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/hook.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/LhF.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_c64_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Bra86.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Bra86.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/protection.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/error.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/copymem.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/FS_FAT.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/IFF-CDAF.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Types.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Types.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aeskey.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aeskey.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aes_modes.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aes_modes.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_atarist_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO_Compress.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO_XPK.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/diskunarc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/BraIA64.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/BraIA64.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/filename.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.i686: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/diskfile.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: I: checking
unar-debuginfo.x86_64: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/AMPK.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/Zoom.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/MXM-SimpleArc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/CrunchDisk.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aes.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aes.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/unix/emulation.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/FS_SOS.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/LzmaDec.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/dates.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/LzmaDec.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_c64_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadCRC_1021.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/crc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aescrypt.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aescrypt.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clientfunc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_macroman_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_ibmcp437_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/info.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_windowscp1252_to_unicod.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/fileunarc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/Ace.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/hook.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/LhF.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/protection.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Bra86.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Bra86.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/error.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/copymem.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Bra.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/FS_FAT.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/IFF-CDAF.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Types.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Types.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aeskey.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aeskey.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aes_modes.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aes_modes.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/cs_atarist_to_unicode.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO_Compress.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.h
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.h
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/Crypto/aestab.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/clients/xadIO_XPK.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/diskunarc.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/Lzma2Dec.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/lzma/BraIA64.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: E: wrong-script-end-of-line-encoding /usr/src/debug/unar-1.6/XADMaster/lzma/BraIA64.c
This script has wrong end-of-line encoding, usually caused by creation or
modification on a non-Unix system. It will prevent its execution.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/filename.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

unar-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/unar-1.6/XADMaster/libxad/diskfile.c
The file is installed with executable permissions, but was identified as one
that probably should not be executable.  Verify if the executable bits are
desired, and remove if not.

5 packages and 0 specfiles checked; 26 errors, 104 warnings.


The URL is valid, the error message is a common problem with Googlecode stuff.

You just have to remove the executable bits from the source files, and your package is ready for approval. And once the files are not executable anymore, the wrong line endings become obsolete. However, you could fix it too.

Comment 13 Rahul Sundaram 2013-04-19 21:46:54 UTC
Bruteforced it.  Recursively remove executable bit from all files.  Install the binaries using install -m755 to set executable bit for only those files.  Fixes all the valid rpmlint errors and warnings.


http://sundaram.fedorapeople.org/packages/unar.spec
http://sundaram.fedorapeople.org/packages/unar-1.6-4.fc18.src.rpm

Comment 14 Mario Blättermann 2013-04-21 14:26:50 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5284790


$ rpmlint -i -v *
unar.src: I: checking
unar.src: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
The value of this tag appears to be misspelled. Please double-check.

unar.src: W: spelling-error %description -l en_US lsar -> liar, pulsar
The value of this tag appears to be misspelled. Please double-check.

unar.src: W: spelling-error %description -l en_US unrar -> unbar, unreal
The value of this tag appears to be misspelled. Please double-check.

unar.src: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar.src: I: checking-url http://theunarchiver.googlecode.com/files/unar1.6_src.zip (timeout 10 seconds)
unar.src: W: invalid-url Source0: http://theunarchiver.googlecode.com/files/unar1.6_src.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

unar.i686: I: checking
unar.i686: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
The value of this tag appears to be misspelled. Please double-check.

unar.i686: W: spelling-error %description -l en_US unrar -> unbar, unreal
The value of this tag appears to be misspelled. Please double-check.

unar.i686: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar.x86_64: I: checking
unar.x86_64: W: spelling-error Summary(en_US) Multi -> Mulch, Mufti
The value of this tag appears to be misspelled. Please double-check.

unar.x86_64: W: spelling-error %description -l en_US unrar -> unbar, unreal
The value of this tag appears to be misspelled. Please double-check.

unar.x86_64: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar-debuginfo.i686: I: checking
unar-debuginfo.i686: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar-debuginfo.x86_64: I: checking
unar-debuginfo.x86_64: I: checking-url http://code.google.com/p/theunarchiver/ (timeout 10 seconds)
unar.spec: I: checking-url http://theunarchiver.googlecode.com/files/unar1.6_src.zip (timeout 10 seconds)
unar.spec: W: invalid-url Source0: http://theunarchiver.googlecode.com/files/unar1.6_src.zip HTTP Error 404: Not Found
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 0 errors, 9 warnings.


Besides the warnings about the download locations, nothing of interest.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    LGPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    818e6b8c3a6d54218acb13693191fdeb99d6d622e9eb480e615f68267dc6ff51  unar1.6_src.zip
    818e6b8c3a6d54218acb13693191fdeb99d6d622e9eb480e615f68267dc6ff51  unar1.6_src.zip.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

I assume it is OK to let co-own the bash-completion folder by this package. However, it's usual in some other cases, like for gtk-doc. Should be OK.
 
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 15 Rahul Sundaram 2013-04-21 17:07:11 UTC
Mario Blättermann, thanks for the review!


New Package SCM Request
=======================
Package Name: unar
Short Description: Multi-format extractor
Owners: sundaram
Branches: f19
InitialCC:

Comment 16 Gwyn Ciesla 2013-04-22 13:41:43 UTC
Git done (by process-git-requests).

Comment 17 Rahul Sundaram 2013-04-22 16:32:12 UTC
Built done for Rawhide and Fedora 19.  I have also pushed corresponding changes in file roller to unar to extract RAR files by default.  you don't need to install unrar anymore.

Comment 18 Christopher Meng 2013-04-25 02:39:13 UTC
No branches for f18?

Comment 19 Rahul Sundaram 2013-04-25 03:08:16 UTC
wasn't planning on creating one. for f19, being installed by default is a distinct advantage.  for existing releases, one might as well as use unrar

Comment 20 Christopher Meng 2014-02-24 05:14:30 UTC
APPROVED by Rahul Sundaram(main maintainer).

Package Change Request
======================
Package Name: unar
New Branches: el6 epel7
Owners: cicku

Comment 21 Gwyn Ciesla 2014-02-24 12:59:36 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.